/*  STRUTIL.H	16-May-00 15:26:58 by Kevin D. Quitt
*/

#ifndef	STRUTIL__H
#define	STRUTIL__H

#define	TVBREAK		" \t=,"		/* Space, tab, equals, comma	    */
#define	EOL		"\n\r\f"	/* Line terminators for strings	    */

#define	isEmptyString( s )  (!(s)  ||  !*(s))

#ifdef	LINUX
extern int  strnicmp( const char *s1, const char *s2, ulong maxlen );
extern int  stricmp(  const char *s1, const char *s2 );
#endif

extern char    *skipWhite( char *in );
extern char    *toWhite( char *in );
extern char    *pastNextWhite( char *in );
extern char    *toEOL( char *in );
extern char    *splitLine( char *in );
extern char    *strVal( char *string );
extern char    *strSetVal( char *string );
extern char    *strUnquoted( char *string );
extern void	stripComment( char *string );
extern void	stripTerminalWhitespace( char *string );
extern int	boolVal( char *TrueFalse, int defaultValue );
extern int	isBoolVal( char *TrueFalse );
extern char    *boolString( int val );
extern char    *toTVBreak( char *in );
extern char    *pastTVBreak( char *in );
extern int	isTVPair( char *tvpair );
extern int	splitTVPair( char *tvpair, char **token, char **value );
extern int      strip( char *string );


#endif
